Bug 36089

Summary: FILEOPEN: subscripts in RTF from LaTex file are missing
Product: LibreOffice Reporter: erqiang <zhou.erqiang>
Component: WriterAssignee: Miklos Vajna <vmiklos>
Status: CLOSED FIXED QA Contact:
Severity: normal    
Priority: medium CC: cedric.bosdonnat.ooo, jbfaure, LibreOffice, vmiklos
Version: 3.3.2 release   
Hardware: x86 (IA32)   
OS: All   
Whiteboard: target:3.7.0
i915 platform: i915 features:
Attachments: sample RTF file which has some subscripts
Screenshots, See Comment 3

Description erqiang 2011-04-08 14:17:14 UTC
Created attachment 45433 [details]
sample RTF file which has some subscripts

When open RTF files, the subscripts does not appear and it seems there are no subscripts, but Microsoft Word can show the existence of the subscripts. A sample RTF file is attached.
Comment 1 Jan Holesovsky 2011-04-14 05:10:31 UTC
Miklos: Might be of your interest...
Comment 2 Miklos Vajna 2011-04-17 11:51:30 UTC
I can reproduce this on master. This is an import bug, so right now I don't have the knowledge to fix it, but sure, hopefully I'll have the dedicated time this summer to deal with it.
Comment 3 Rainer Bielefeld Retired 2011-06-11 01:12:01 UTC
[Reproducible] with reporter's sample document and "LibreOffice 3.4.0  – WIN7  Home Premium  (64bit) German UI [OOO340m1 (Build:12)]".

Same problem with reporter's sample document and OOo3.1.1, OOo 1.1.4

Not reproducible with own sample created with OOo 3.1.1 ('Format > Character > Position > Subscript'). 

Subscripts are visible using MS WORD Viewer.

Reporter's sample seems to have been created with LaTex, so related OOo Issues might be
subscript and superscript from an RTF file do not appear in WYSIWYG
Add support to MsWord EQ fields

Please feel free to reassign if it's not your area!
Comment 4 Rainer Bielefeld Retired 2011-06-11 01:23:31 UTC
Created attachment 47845 [details]
Screenshots, See Comment 3
Comment 5 Miklos Vajna 2011-06-12 04:22:44 UTC
Assign it to me, I'm improving RTF import this summer.
Comment 6 Miklos Vajna 2011-07-29 08:27:26 UTC
This is fixed in my GSoC repo:


I'll merge that repo to master before 2011-08-15 and you'll have this feature
if you enable experimental features. (Later hopefully it'll be the default, but
there is no decision about that yet.)
Comment 7 Jean-Baptiste Faure 2012-03-18 09:53:15 UTC
Fix confirmed on LO 3.5.1. Closing. Thank you.
Comment 8 Not Assigned 2012-07-30 08:02:58 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":


Related: fdo#36089 improve import of EQ field in writerfilter